Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network162.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
162.0.0.0
Broadcast address
163.255.255.255
First usable
162.0.0.1
Last usable
163.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
B (default /16)
As numbers
Hex A2000000 · Integer 2717908992 to 2751463423
Reverse DNS zones
162.in-addr.arpa
163.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10100010.00000000.00000000.00000000162.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network10100010.00000000.00000000.00000000162.0.0.0
Broadcast10100011.11111111.11111111.11111111163.255.255.255
Split into smaller subnets/17

162.0.0.0/7 makes 1,024 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1162.0.0.0/17162.0.0.1 to 162.0.127.254162.0.127.25532,766
2162.0.128.0/17162.0.128.1 to 162.0.255.254162.0.255.25532,766
3162.1.0.0/17162.1.0.1 to 162.1.127.254162.1.127.25532,766
4162.1.128.0/17162.1.128.1 to 162.1.255.254162.1.255.25532,766
5162.2.0.0/17162.2.0.1 to 162.2.127.254162.2.127.25532,766
6162.2.128.0/17162.2.128.1 to 162.2.255.254162.2.255.25532,766
7162.3.0.0/17162.3.0.1 to 162.3.127.254162.3.127.25532,766
8162.3.128.0/17162.3.128.1 to 162.3.255.254162.3.255.25532,766
9162.4.0.0/17162.4.0.1 to 162.4.127.254162.4.127.25532,766
10162.4.128.0/17162.4.128.1 to 162.4.255.254162.4.255.25532,766
11162.5.0.0/17162.5.0.1 to 162.5.127.254162.5.127.25532,766
12162.5.128.0/17162.5.128.1 to 162.5.255.254162.5.255.25532,766
13162.6.0.0/17162.6.0.1 to 162.6.127.254162.6.127.25532,766
14162.6.128.0/17162.6.128.1 to 162.6.255.254162.6.255.25532,766
15162.7.0.0/17162.7.0.1 to 162.7.127.254162.7.127.25532,766
16162.7.128.0/17162.7.128.1 to 162.7.255.254162.7.255.25532,766
17162.8.0.0/17162.8.0.1 to 162.8.127.254162.8.127.25532,766
18162.8.128.0/17162.8.128.1 to 162.8.255.254162.8.255.25532,766
19162.9.0.0/17162.9.0.1 to 162.9.127.254162.9.127.25532,766
20162.9.128.0/17162.9.128.1 to 162.9.255.254162.9.255.25532,766
21162.10.0.0/17162.10.0.1 to 162.10.127.254162.10.127.25532,766
22162.10.128.0/17162.10.128.1 to 162.10.255.254162.10.255.25532,766
23162.11.0.0/17162.11.0.1 to 162.11.127.254162.11.127.25532,766
24162.11.128.0/17162.11.128.1 to 162.11.255.254162.11.255.25532,766
25162.12.0.0/17162.12.0.1 to 162.12.127.254162.12.127.25532,766
26162.12.128.0/17162.12.128.1 to 162.12.255.254162.12.255.25532,766
27162.13.0.0/17162.13.0.1 to 162.13.127.254162.13.127.25532,766
28162.13.128.0/17162.13.128.1 to 162.13.255.254162.13.255.25532,766
29162.14.0.0/17162.14.0.1 to 162.14.127.254162.14.127.25532,766
30162.14.128.0/17162.14.128.1 to 162.14.255.254162.14.255.25532,766
31162.15.0.0/17162.15.0.1 to 162.15.127.254162.15.127.25532,766
32162.15.128.0/17162.15.128.1 to 162.15.255.254162.15.255.25532,766
33162.16.0.0/17162.16.0.1 to 162.16.127.254162.16.127.25532,766
34162.16.128.0/17162.16.128.1 to 162.16.255.254162.16.255.25532,766
35162.17.0.0/17162.17.0.1 to 162.17.127.254162.17.127.25532,766
36162.17.128.0/17162.17.128.1 to 162.17.255.254162.17.255.25532,766
37162.18.0.0/17162.18.0.1 to 162.18.127.254162.18.127.25532,766
38162.18.128.0/17162.18.128.1 to 162.18.255.254162.18.255.25532,766
39162.19.0.0/17162.19.0.1 to 162.19.127.254162.19.127.25532,766
40162.19.128.0/17162.19.128.1 to 162.19.255.254162.19.255.25532,766
41162.20.0.0/17162.20.0.1 to 162.20.127.254162.20.127.25532,766
42162.20.128.0/17162.20.128.1 to 162.20.255.254162.20.255.25532,766
43162.21.0.0/17162.21.0.1 to 162.21.127.254162.21.127.25532,766
44162.21.128.0/17162.21.128.1 to 162.21.255.254162.21.255.25532,766
45162.22.0.0/17162.22.0.1 to 162.22.127.254162.22.127.25532,766
46162.22.128.0/17162.22.128.1 to 162.22.255.254162.22.255.25532,766
47162.23.0.0/17162.23.0.1 to 162.23.127.254162.23.127.25532,766
48162.23.128.0/17162.23.128.1 to 162.23.255.254162.23.255.25532,766
49162.24.0.0/17162.24.0.1 to 162.24.127.254162.24.127.25532,766
50162.24.128.0/17162.24.128.1 to 162.24.255.254162.24.255.25532,766
51162.25.0.0/17162.25.0.1 to 162.25.127.254162.25.127.25532,766
52162.25.128.0/17162.25.128.1 to 162.25.255.254162.25.255.25532,766
53162.26.0.0/17162.26.0.1 to 162.26.127.254162.26.127.25532,766
54162.26.128.0/17162.26.128.1 to 162.26.255.254162.26.255.25532,766
55162.27.0.0/17162.27.0.1 to 162.27.127.254162.27.127.25532,766
56162.27.128.0/17162.27.128.1 to 162.27.255.254162.27.255.25532,766
57162.28.0.0/17162.28.0.1 to 162.28.127.254162.28.127.25532,766
58162.28.128.0/17162.28.128.1 to 162.28.255.254162.28.255.25532,766
59162.29.0.0/17162.29.0.1 to 162.29.127.254162.29.127.25532,766
60162.29.128.0/17162.29.128.1 to 162.29.255.254162.29.255.25532,766
61162.30.0.0/17162.30.0.1 to 162.30.127.254162.30.127.25532,766
62162.30.128.0/17162.30.128.1 to 162.30.255.254162.30.255.25532,766
63162.31.0.0/17162.31.0.1 to 162.31.127.254162.31.127.25532,766
64162.31.128.0/17162.31.128.1 to 162.31.255.254162.31.255.25532,766
65162.32.0.0/17162.32.0.1 to 162.32.127.254162.32.127.25532,766
66162.32.128.0/17162.32.128.1 to 162.32.255.254162.32.255.25532,766
67162.33.0.0/17162.33.0.1 to 162.33.127.254162.33.127.25532,766
68162.33.128.0/17162.33.128.1 to 162.33.255.254162.33.255.25532,766
69162.34.0.0/17162.34.0.1 to 162.34.127.254162.34.127.25532,766
70162.34.128.0/17162.34.128.1 to 162.34.255.254162.34.255.25532,766
71162.35.0.0/17162.35.0.1 to 162.35.127.254162.35.127.25532,766
72162.35.128.0/17162.35.128.1 to 162.35.255.254162.35.255.25532,766
73162.36.0.0/17162.36.0.1 to 162.36.127.254162.36.127.25532,766
74162.36.128.0/17162.36.128.1 to 162.36.255.254162.36.255.25532,766
75162.37.0.0/17162.37.0.1 to 162.37.127.254162.37.127.25532,766
76162.37.128.0/17162.37.128.1 to 162.37.255.254162.37.255.25532,766
77162.38.0.0/17162.38.0.1 to 162.38.127.254162.38.127.25532,766
78162.38.128.0/17162.38.128.1 to 162.38.255.254162.38.255.25532,766
79162.39.0.0/17162.39.0.1 to 162.39.127.254162.39.127.25532,766
80162.39.128.0/17162.39.128.1 to 162.39.255.254162.39.255.25532,766
81162.40.0.0/17162.40.0.1 to 162.40.127.254162.40.127.25532,766
82162.40.128.0/17162.40.128.1 to 162.40.255.254162.40.255.25532,766
83162.41.0.0/17162.41.0.1 to 162.41.127.254162.41.127.25532,766
84162.41.128.0/17162.41.128.1 to 162.41.255.254162.41.255.25532,766
85162.42.0.0/17162.42.0.1 to 162.42.127.254162.42.127.25532,766
86162.42.128.0/17162.42.128.1 to 162.42.255.254162.42.255.25532,766
87162.43.0.0/17162.43.0.1 to 162.43.127.254162.43.127.25532,766
88162.43.128.0/17162.43.128.1 to 162.43.255.254162.43.255.25532,766
89162.44.0.0/17162.44.0.1 to 162.44.127.254162.44.127.25532,766
90162.44.128.0/17162.44.128.1 to 162.44.255.254162.44.255.25532,766
91162.45.0.0/17162.45.0.1 to 162.45.127.254162.45.127.25532,766
92162.45.128.0/17162.45.128.1 to 162.45.255.254162.45.255.25532,766
93162.46.0.0/17162.46.0.1 to 162.46.127.254162.46.127.25532,766
94162.46.128.0/17162.46.128.1 to 162.46.255.254162.46.255.25532,766
95162.47.0.0/17162.47.0.1 to 162.47.127.254162.47.127.25532,766
96162.47.128.0/17162.47.128.1 to 162.47.255.254162.47.255.25532,766
97162.48.0.0/17162.48.0.1 to 162.48.127.254162.48.127.25532,766
98162.48.128.0/17162.48.128.1 to 162.48.255.254162.48.255.25532,766
99162.49.0.0/17162.49.0.1 to 162.49.127.254162.49.127.25532,766
100162.49.128.0/17162.49.128.1 to 162.49.255.254162.49.255.25532,766
101162.50.0.0/17162.50.0.1 to 162.50.127.254162.50.127.25532,766
102162.50.128.0/17162.50.128.1 to 162.50.255.254162.50.255.25532,766
103162.51.0.0/17162.51.0.1 to 162.51.127.254162.51.127.25532,766
104162.51.128.0/17162.51.128.1 to 162.51.255.254162.51.255.25532,766
105162.52.0.0/17162.52.0.1 to 162.52.127.254162.52.127.25532,766
106162.52.128.0/17162.52.128.1 to 162.52.255.254162.52.255.25532,766
107162.53.0.0/17162.53.0.1 to 162.53.127.254162.53.127.25532,766
108162.53.128.0/17162.53.128.1 to 162.53.255.254162.53.255.25532,766
109162.54.0.0/17162.54.0.1 to 162.54.127.254162.54.127.25532,766
110162.54.128.0/17162.54.128.1 to 162.54.255.254162.54.255.25532,766
111162.55.0.0/17162.55.0.1 to 162.55.127.254162.55.127.25532,766
112162.55.128.0/17162.55.128.1 to 162.55.255.254162.55.255.25532,766
113162.56.0.0/17162.56.0.1 to 162.56.127.254162.56.127.25532,766
114162.56.128.0/17162.56.128.1 to 162.56.255.254162.56.255.25532,766
115162.57.0.0/17162.57.0.1 to 162.57.127.254162.57.127.25532,766
116162.57.128.0/17162.57.128.1 to 162.57.255.254162.57.255.25532,766
117162.58.0.0/17162.58.0.1 to 162.58.127.254162.58.127.25532,766
118162.58.128.0/17162.58.128.1 to 162.58.255.254162.58.255.25532,766
119162.59.0.0/17162.59.0.1 to 162.59.127.254162.59.127.25532,766
120162.59.128.0/17162.59.128.1 to 162.59.255.254162.59.255.25532,766
121162.60.0.0/17162.60.0.1 to 162.60.127.254162.60.127.25532,766
122162.60.128.0/17162.60.128.1 to 162.60.255.254162.60.255.25532,766
123162.61.0.0/17162.61.0.1 to 162.61.127.254162.61.127.25532,766
124162.61.128.0/17162.61.128.1 to 162.61.255.254162.61.255.25532,766
125162.62.0.0/17162.62.0.1 to 162.62.127.254162.62.127.25532,766
126162.62.128.0/17162.62.128.1 to 162.62.255.254162.62.255.25532,766
127162.63.0.0/17162.63.0.1 to 162.63.127.254162.63.127.25532,766
128162.63.128.0/17162.63.128.1 to 162.63.255.254162.63.255.25532,766
129162.64.0.0/17162.64.0.1 to 162.64.127.254162.64.127.25532,766
130162.64.128.0/17162.64.128.1 to 162.64.255.254162.64.255.25532,766
131162.65.0.0/17162.65.0.1 to 162.65.127.254162.65.127.25532,766
132162.65.128.0/17162.65.128.1 to 162.65.255.254162.65.255.25532,766
133162.66.0.0/17162.66.0.1 to 162.66.127.254162.66.127.25532,766
134162.66.128.0/17162.66.128.1 to 162.66.255.254162.66.255.25532,766
135162.67.0.0/17162.67.0.1 to 162.67.127.254162.67.127.25532,766
136162.67.128.0/17162.67.128.1 to 162.67.255.254162.67.255.25532,766
137162.68.0.0/17162.68.0.1 to 162.68.127.254162.68.127.25532,766
138162.68.128.0/17162.68.128.1 to 162.68.255.254162.68.255.25532,766
139162.69.0.0/17162.69.0.1 to 162.69.127.254162.69.127.25532,766
140162.69.128.0/17162.69.128.1 to 162.69.255.254162.69.255.25532,766
141162.70.0.0/17162.70.0.1 to 162.70.127.254162.70.127.25532,766
142162.70.128.0/17162.70.128.1 to 162.70.255.254162.70.255.25532,766
143162.71.0.0/17162.71.0.1 to 162.71.127.254162.71.127.25532,766
144162.71.128.0/17162.71.128.1 to 162.71.255.254162.71.255.25532,766
145162.72.0.0/17162.72.0.1 to 162.72.127.254162.72.127.25532,766
146162.72.128.0/17162.72.128.1 to 162.72.255.254162.72.255.25532,766
147162.73.0.0/17162.73.0.1 to 162.73.127.254162.73.127.25532,766
148162.73.128.0/17162.73.128.1 to 162.73.255.254162.73.255.25532,766
149162.74.0.0/17162.74.0.1 to 162.74.127.254162.74.127.25532,766
150162.74.128.0/17162.74.128.1 to 162.74.255.254162.74.255.25532,766
151162.75.0.0/17162.75.0.1 to 162.75.127.254162.75.127.25532,766
152162.75.128.0/17162.75.128.1 to 162.75.255.254162.75.255.25532,766
153162.76.0.0/17162.76.0.1 to 162.76.127.254162.76.127.25532,766
154162.76.128.0/17162.76.128.1 to 162.76.255.254162.76.255.25532,766
155162.77.0.0/17162.77.0.1 to 162.77.127.254162.77.127.25532,766
156162.77.128.0/17162.77.128.1 to 162.77.255.254162.77.255.25532,766
157162.78.0.0/17162.78.0.1 to 162.78.127.254162.78.127.25532,766
158162.78.128.0/17162.78.128.1 to 162.78.255.254162.78.255.25532,766
159162.79.0.0/17162.79.0.1 to 162.79.127.254162.79.127.25532,766
160162.79.128.0/17162.79.128.1 to 162.79.255.254162.79.255.25532,766
161162.80.0.0/17162.80.0.1 to 162.80.127.254162.80.127.25532,766
162162.80.128.0/17162.80.128.1 to 162.80.255.254162.80.255.25532,766
163162.81.0.0/17162.81.0.1 to 162.81.127.254162.81.127.25532,766
164162.81.128.0/17162.81.128.1 to 162.81.255.254162.81.255.25532,766
165162.82.0.0/17162.82.0.1 to 162.82.127.254162.82.127.25532,766
166162.82.128.0/17162.82.128.1 to 162.82.255.254162.82.255.25532,766
167162.83.0.0/17162.83.0.1 to 162.83.127.254162.83.127.25532,766
168162.83.128.0/17162.83.128.1 to 162.83.255.254162.83.255.25532,766
169162.84.0.0/17162.84.0.1 to 162.84.127.254162.84.127.25532,766
170162.84.128.0/17162.84.128.1 to 162.84.255.254162.84.255.25532,766
171162.85.0.0/17162.85.0.1 to 162.85.127.254162.85.127.25532,766
172162.85.128.0/17162.85.128.1 to 162.85.255.254162.85.255.25532,766
173162.86.0.0/17162.86.0.1 to 162.86.127.254162.86.127.25532,766
174162.86.128.0/17162.86.128.1 to 162.86.255.254162.86.255.25532,766
175162.87.0.0/17162.87.0.1 to 162.87.127.254162.87.127.25532,766
176162.87.128.0/17162.87.128.1 to 162.87.255.254162.87.255.25532,766
177162.88.0.0/17162.88.0.1 to 162.88.127.254162.88.127.25532,766
178162.88.128.0/17162.88.128.1 to 162.88.255.254162.88.255.25532,766
179162.89.0.0/17162.89.0.1 to 162.89.127.254162.89.127.25532,766
180162.89.128.0/17162.89.128.1 to 162.89.255.254162.89.255.25532,766
181162.90.0.0/17162.90.0.1 to 162.90.127.254162.90.127.25532,766
182162.90.128.0/17162.90.128.1 to 162.90.255.254162.90.255.25532,766
183162.91.0.0/17162.91.0.1 to 162.91.127.254162.91.127.25532,766
184162.91.128.0/17162.91.128.1 to 162.91.255.254162.91.255.25532,766
185162.92.0.0/17162.92.0.1 to 162.92.127.254162.92.127.25532,766
186162.92.128.0/17162.92.128.1 to 162.92.255.254162.92.255.25532,766
187162.93.0.0/17162.93.0.1 to 162.93.127.254162.93.127.25532,766
188162.93.128.0/17162.93.128.1 to 162.93.255.254162.93.255.25532,766
189162.94.0.0/17162.94.0.1 to 162.94.127.254162.94.127.25532,766
190162.94.128.0/17162.94.128.1 to 162.94.255.254162.94.255.25532,766
191162.95.0.0/17162.95.0.1 to 162.95.127.254162.95.127.25532,766
192162.95.128.0/17162.95.128.1 to 162.95.255.254162.95.255.25532,766
193162.96.0.0/17162.96.0.1 to 162.96.127.254162.96.127.25532,766
194162.96.128.0/17162.96.128.1 to 162.96.255.254162.96.255.25532,766
195162.97.0.0/17162.97.0.1 to 162.97.127.254162.97.127.25532,766
196162.97.128.0/17162.97.128.1 to 162.97.255.254162.97.255.25532,766
197162.98.0.0/17162.98.0.1 to 162.98.127.254162.98.127.25532,766
198162.98.128.0/17162.98.128.1 to 162.98.255.254162.98.255.25532,766
199162.99.0.0/17162.99.0.1 to 162.99.127.254162.99.127.25532,766
200162.99.128.0/17162.99.128.1 to 162.99.255.254162.99.255.25532,766
201162.100.0.0/17162.100.0.1 to 162.100.127.254162.100.127.25532,766
202162.100.128.0/17162.100.128.1 to 162.100.255.254162.100.255.25532,766
203162.101.0.0/17162.101.0.1 to 162.101.127.254162.101.127.25532,766
204162.101.128.0/17162.101.128.1 to 162.101.255.254162.101.255.25532,766
205162.102.0.0/17162.102.0.1 to 162.102.127.254162.102.127.25532,766
206162.102.128.0/17162.102.128.1 to 162.102.255.254162.102.255.25532,766
207162.103.0.0/17162.103.0.1 to 162.103.127.254162.103.127.25532,766
208162.103.128.0/17162.103.128.1 to 162.103.255.254162.103.255.25532,766
209162.104.0.0/17162.104.0.1 to 162.104.127.254162.104.127.25532,766
210162.104.128.0/17162.104.128.1 to 162.104.255.254162.104.255.25532,766
211162.105.0.0/17162.105.0.1 to 162.105.127.254162.105.127.25532,766
212162.105.128.0/17162.105.128.1 to 162.105.255.254162.105.255.25532,766
213162.106.0.0/17162.106.0.1 to 162.106.127.254162.106.127.25532,766
214162.106.128.0/17162.106.128.1 to 162.106.255.254162.106.255.25532,766
215162.107.0.0/17162.107.0.1 to 162.107.127.254162.107.127.25532,766
216162.107.128.0/17162.107.128.1 to 162.107.255.254162.107.255.25532,766
217162.108.0.0/17162.108.0.1 to 162.108.127.254162.108.127.25532,766
218162.108.128.0/17162.108.128.1 to 162.108.255.254162.108.255.25532,766
219162.109.0.0/17162.109.0.1 to 162.109.127.254162.109.127.25532,766
220162.109.128.0/17162.109.128.1 to 162.109.255.254162.109.255.25532,766
221162.110.0.0/17162.110.0.1 to 162.110.127.254162.110.127.25532,766
222162.110.128.0/17162.110.128.1 to 162.110.255.254162.110.255.25532,766
223162.111.0.0/17162.111.0.1 to 162.111.127.254162.111.127.25532,766
224162.111.128.0/17162.111.128.1 to 162.111.255.254162.111.255.25532,766
225162.112.0.0/17162.112.0.1 to 162.112.127.254162.112.127.25532,766
226162.112.128.0/17162.112.128.1 to 162.112.255.254162.112.255.25532,766
227162.113.0.0/17162.113.0.1 to 162.113.127.254162.113.127.25532,766
228162.113.128.0/17162.113.128.1 to 162.113.255.254162.113.255.25532,766
229162.114.0.0/17162.114.0.1 to 162.114.127.254162.114.127.25532,766
230162.114.128.0/17162.114.128.1 to 162.114.255.254162.114.255.25532,766
231162.115.0.0/17162.115.0.1 to 162.115.127.254162.115.127.25532,766
232162.115.128.0/17162.115.128.1 to 162.115.255.254162.115.255.25532,766
233162.116.0.0/17162.116.0.1 to 162.116.127.254162.116.127.25532,766
234162.116.128.0/17162.116.128.1 to 162.116.255.254162.116.255.25532,766
235162.117.0.0/17162.117.0.1 to 162.117.127.254162.117.127.25532,766
236162.117.128.0/17162.117.128.1 to 162.117.255.254162.117.255.25532,766
237162.118.0.0/17162.118.0.1 to 162.118.127.254162.118.127.25532,766
238162.118.128.0/17162.118.128.1 to 162.118.255.254162.118.255.25532,766
239162.119.0.0/17162.119.0.1 to 162.119.127.254162.119.127.25532,766
240162.119.128.0/17162.119.128.1 to 162.119.255.254162.119.255.25532,766
241162.120.0.0/17162.120.0.1 to 162.120.127.254162.120.127.25532,766
242162.120.128.0/17162.120.128.1 to 162.120.255.254162.120.255.25532,766
243162.121.0.0/17162.121.0.1 to 162.121.127.254162.121.127.25532,766
244162.121.128.0/17162.121.128.1 to 162.121.255.254162.121.255.25532,766
245162.122.0.0/17162.122.0.1 to 162.122.127.254162.122.127.25532,766
246162.122.128.0/17162.122.128.1 to 162.122.255.254162.122.255.25532,766
247162.123.0.0/17162.123.0.1 to 162.123.127.254162.123.127.25532,766
248162.123.128.0/17162.123.128.1 to 162.123.255.254162.123.255.25532,766
249162.124.0.0/17162.124.0.1 to 162.124.127.254162.124.127.25532,766
250162.124.128.0/17162.124.128.1 to 162.124.255.254162.124.255.25532,766
251162.125.0.0/17162.125.0.1 to 162.125.127.254162.125.127.25532,766
252162.125.128.0/17162.125.128.1 to 162.125.255.254162.125.255.25532,766
253162.126.0.0/17162.126.0.1 to 162.126.127.254162.126.127.25532,766
254162.126.128.0/17162.126.128.1 to 162.126.255.254162.126.255.25532,766
255162.127.0.0/17162.127.0.1 to 162.127.127.254162.127.127.25532,766
256162.127.128.0/17162.127.128.1 to 162.127.255.254162.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses